Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.clearcase
Class CCUpdate

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
                  |
                  +--org.apache.tools.ant.taskdefs.optional.clearcase.CCUpdate

public class CCUpdate
extends ClearCase

Task to perform an Update command to ClearCase.

The following attributes are interpretted:

Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
graphical | Displays a graphical dialog during the update | No
log | Specifies a log file for ClearCase to write to | No
overwrite | Specifies whether to overwrite hijacked files or not | No
rename | Specifies that hijacked files should be renamed with a .keep extension | No
currenttime | Specifies that modification time should be written as the current time. Either currenttime or preservetime can be specified. | No
preservetime | Specifies that modification time should preserved from the VOB time. Either currenttime or preservetime can be specified. | No

Author:
  Curtis White

Field Summary
`static java.lang.String` | `FLAG_CURRENTTIME` -ctime flag -- modified time is written as the current time
`static java.lang.String` | `FLAG_GRAPHICAL` -graphical flag -- display graphical dialog during update operation
`static java.lang.String` | `FLAG_LOG` -log flag -- file to log status to
`static java.lang.String` | `FLAG_NOVERWRITE` -noverwrite flag -- do not overwrite hijacked files
`static java.lang.String` | `FLAG_OVERWRITE` -overwrite flag -- overwrite hijacked files
`static java.lang.String` | `FLAG_PRESERVETIME` -ptime flag -- modified time is written as the VOB time
`static java.lang.String` | `FLAG_RENAME` -rename flag -- rename hijacked files with .keep extension

Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_UNCHECKOUT, COMMAND_UPDATE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`CCUpdate()`

Method Summary
`void` | `execute()` Executes the task.
`boolean` | `getCurrentTime()` Get current time status
`boolean` | `getGraphical()` Get graphical flag status
`java.lang.String` | `getLog()` Get log file
`boolean` | `getOverwrite()` Get overwrite hijacked files status
`boolean` | `getPreserveTime()` Get preserve time status
`boolean` | `getRename()` Get rename hijacked files status
`void` | `setCurrentTime(boolean ct)` Set modified time based on current time
`void` | `setGraphical(boolean graphical)` Set graphical flag status
`void` | `setLog(java.lang.String log)` Set log file where cleartool can record the status of the command
`void` | `setOverwrite(boolean ow)` Set overwrite hijacked files status
`void` | `setPreserveTime(boolean pt)` Preserve modified time from the VOB time
`void` | `setRename(boolean ren)` Set rename hijacked files status

Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`getClearToolCommand, getViewPath, run, setClearToolDir, setViewPath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_GRAPHICAL

    public static final java.lang.String FLAG_GRAPHICAL

  -graphical flag -- display graphical dialog during update operation

### FLAG_LOG

    public static final java.lang.String FLAG_LOG

  -log flag -- file to log status to

### FLAG_OVERWRITE

    public static final java.lang.String FLAG_OVERWRITE

  -overwrite flag -- overwrite hijacked files

### FLAG_NOVERWRITE

    public static final java.lang.String FLAG_NOVERWRITE

  -noverwrite flag -- do not overwrite hijacked files

### FLAG_RENAME

    public static final java.lang.String FLAG_RENAME

  -rename flag -- rename hijacked files with .keep extension

### FLAG_CURRENTTIME

    public static final java.lang.String FLAG_CURRENTTIME

  -ctime flag -- modified time is written as the current time

### FLAG_PRESERVETIME

    public static final java.lang.String FLAG_PRESERVETIME

  -ptime flag -- modified time is written as the VOB time

Constructor Detail

### CCUpdate

    public CCUpdate()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setGraphical

    public void setGraphical(boolean graphical)

  Set graphical flag status
  Parameters:
    `graphical` - the status to set the flag to

### getGraphical

    public boolean getGraphical()

  Get graphical flag status
  Returns:
    boolean containing status of graphical flag

### setOverwrite

    public void setOverwrite(boolean ow)

  Set overwrite hijacked files status
  Parameters:
    `ow` - the status to set the flag to

### getOverwrite

    public boolean getOverwrite()

  Get overwrite hijacked files status
  Returns:
    boolean containing status of overwrite flag

### setRename

    public void setRename(boolean ren)

  Set rename hijacked files status
  Parameters:
    `ren` - the status to set the flag to

### getRename

    public boolean getRename()

  Get rename hijacked files status
  Returns:
    boolean containing status of rename flag

### setCurrentTime

    public void setCurrentTime(boolean ct)

  Set modified time based on current time
  Parameters:
    `ct` - the status to set the flag to

### getCurrentTime

    public boolean getCurrentTime()

  Get current time status
  Returns:
    boolean containing status of current time flag

### setPreserveTime

    public void setPreserveTime(boolean pt)

  Preserve modified time from the VOB time
  Parameters:
    `pt` - the status to set the flag to

### getPreserveTime

    public boolean getPreserveTime()

  Get preserve time status
  Returns:
    boolean containing status of preserve time flag

### setLog

    public void setLog(java.lang.String log)

  Set log file where cleartool can record the status of the command
  Parameters:
    `log` - the path to the log file

### getLog

    public java.lang.String getLog()

  Get log file
  Returns:
    String containing the path to the log file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.